unit UnVMemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
 Controls, Forms, Dialogs, StdCtrls, Spin, ExtCtrls  
//-- my ip core ------------------------------
  , xIPMemo
  ;

type
  TForm2 = class(TForm)
    Memo1: TMemo;
    CheckBox1: TCheckBox;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit3: TSpinEdit;
    SpinEdit4: TSpinEdit;
    Label3: TLabel;
    Label4: TLabel;
    Panel1: TPanel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    Label5: TLabel;
    Panel2: TPanel;
    Label6: TLabel;
    RadioButton4: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton6: TRadioButton;
    Button1: TButton;
    FontDialog1: TFontDialog;
    ComboBox1: TComboBox;
    ColorBox1: TColorBox;
    CheckBox2: TCheckBox;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Edit1: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Memo1Change(Sender: TObject);
  private
    { Private declarations }
  public
    FMemo : TxIPMemo;
  end;

var
  Form2: TForm2;

implementation
uses TypInfo;

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
var s : TScrollStyle;
begin
  FMemo := TxIPMemo.Create (self);
  FMemo.SetMemo (@Memo1);
  FMemo.TextHint := 'Text hint...';
  Edit1.Text := FMemo.TextHint;
  
  ComboBox1.Items.BeginUpdate;
  try
    for s := Low (TScrollStyle) to High(TScrollStyle) do 
      ComboBox1.Items.Add(GetEnumName(TypeInfo(TScrollStyle),Integer(s)));
    ComboBox1.ItemIndex := Integer(Memo1.ScrollBars);
  finally
    ComboBox1.Items.EndUpdate;
  end;
end;

procedure TForm2.Memo1Change(Sender: TObject);
begin
  CheckBox2.Checked := FMemo.TrueWordWrap;
end;

procedure TForm2.RadioButton1Click(Sender: TObject);
begin
  if RadioButton1.Checked then FMemo.Layout := tlTop;
  if RadioButton2.Checked then FMemo.Layout := tlCenter;
  if RadioButton3.Checked then FMemo.Layout := tlBottom;

  if RadioButton4.Checked then FMemo.Alignment := taLeftJustify;
  if RadioButton5.Checked then FMemo.Alignment := taCenter;
  if RadioButton6.Checked then FMemo.Alignment := taRightJustify;
  
  if Sender = CheckBox1 then
    Memo1.WordWrap := CheckBox1.Checked;
  if Sender = ComboBox1 then
    Memo1.ScrollBars := TScrollStyle(ComboBox1.ItemIndex);   
  if Sender = Edit1 then
    FMemo.TextHint := Edit1.Text;
    
  FMemo.Margin.Top := SpinEdit1.Value; 
  FMemo.Margin.Left := SpinEdit2.Value;  
  FMemo.Margin.Right := SpinEdit3.Value;  
  FMemo.Margin.Bottom := SpinEdit4.Value;      

  Memo1.Color := ColorBox1.Selected;
  Memo1Change (Memo1);
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
  FontDialog1.Font := Memo1.Font;
  if FontDialog1.Execute then 
    Memo1.Font := FontDialog1.Font;
end;

end.
